#include <bits/stdc++.h>
using namespace std;

long long x, y, razlika;
int i;
string a, b, resenje;

int main()
{
    cin >> a;
    cin >> b;//Unos brojeva kao stringova

    x = a.size();
    y = b.size();//Uzimaju se velicine stringova
    razlika = abs(x-y);//Poredi im velicine

    if(x < y)
        for(i = 1; i <= razlika; i++)
            a = ' ' + a;//Ako je manje od nule dodaje mu vrednost
                     //space-a po ASCII tabeli
    if(x > y)
        for(i = 1; i <= razlika; i++)
            b = ' ' + b;//Ako je manje od nule dodaje mu vrednost
                     //space-a po ASCII tabeli

    for(i = 0; i < a.size(); i++)
    {
        if(a[i] == b[i])
            resenje = resenje + a[i] + b[i];//Konkatuje na resenje


        if(a[i] > b[i])
           resenje = resenje + a[i];//Konkatuje na resenje

        if(a[i] < b[i])
            resenje = resenje + b[i];//Konkatuje na resenje

    }

    cout << resenje <<  endl;

    return 0;
}